package com.bonus.canteen.core.order.android.business;


import com.bonus.canteen.core.device.manage.vo.DeviceInfoVO;
import com.bonus.canteen.core.order.android.dto.OrderPayAndroidTotalDTO;
import com.bonus.canteen.core.order.android.vo.OrderPayAndroidVO;
import com.bonus.canteen.core.order.mq.po.OrderSavePO;

import java.util.Map;

public interface OrderPlaceAndroidBusiness {
   OrderPayAndroidVO placeAndPay(OrderPayAndroidTotalDTO androidTotalDTO, DeviceInfoVO deviceInfoVO);

   OrderPayAndroidVO packagePayAndroidVOByOrderSavePo(OrderSavePO orderSavePO, boolean ifTrial);

   OrderPayAndroidVO queryPayResult(String macOrderId);

   DeviceInfoVO getDeviceInfoByHeader(Map<String, String> headers, boolean throwIfNotFound);
}
